bindT.hh File Reference

Bind an OpenMesh to a OpenSG geometry node. More...

`#include <functional>`
`#include <algorithm>`
`#include <OpenMesh/Core/Mesh/TriMeshT.hh>`
`#include <OpenMesh/Core/Utils/color_cast.hh>`
`#include <OpenMesh/Tools/Utils/GLConstAsString.hh>`
`#include <OpenSG/OSGGeometry.h>`
`#include "color_cast.hh"`
Include dependency graph for bindT.hh:

Go to the source code of this file.

## Namespaces

| OpenMesh
| Contains all the mesh ingredients like the polygonal mesh, the triangle mesh, different mesh kernels and mesh traits.
| OpenMesh::Kernel_OSG
| In this namespace resides the OpenSG integration of OpenMesh.

## Functions

bool | OpenMesh::Kernel_OSG::type_is_valid (unsigned char _t)
template<typename Mesh >
bool | OpenMesh::Kernel_OSG::bind (osg::GeometryPtr &_geo, Mesh &_mesh)
| Bind a OpenSG geometry to a mesh. More...
template<typename Mesh >
bool | OpenMesh::Kernel_OSG::bind (Mesh &_mesh, osg::GeometryPtr &_geo)
| Bind a mesh object to geometry. More...

## Detailed Description

Bind an OpenMesh to a OpenSG geometry node.

Be aware that due to this link the geometry node maybe modified. For instance triangle strips are converted to regular triangles.